Bug 95194 - [BDWGT3e] piglit.spec.arb_shader_image_load_store.shader-mem-barrier fails
Summary: [BDWGT3e] piglit.spec.arb_shader_image_load_store.shader-mem-barrier fails
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Francisco Jerez
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-28 18:56 UTC by Mark Janes
Modified: 2017-02-10 16:14 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2016-04-28 18:56:06 UTC
This test passes on BDWGT2 but fails on BDWGT3e

PIGLIT: {"subtest": {"Fragment shader/'coherent' qualifier memory barrier test/modulus=64" : "pass"}}
Probe value at (88, 2, 0, 0)
  Expected: 33.000000
  Observed: 13697232.000000
PIGLIT: {"subtest": {"Vertex shader/'volatile' qualifier memory barrier test/modulus=64" : "fail"}}
Probe value at (220, 24, 0, 0)
  Expected: 33.000000
  Observed: 5111885.000000

Mesa's CI has not been executing piglit on all BDW sku's.  It is possible that it never worked on this platform.
Comment 1 Mark Janes 2016-04-28 19:23:02 UTC
This test fails on BDWGT3e at least as far back as 11.0.0.
Comment 2 Mark Janes 2016-05-27 23:54:27 UTC
Curro commented to me that he's not sure if this test is valid, because the spec is unclear as to what the behavior ought to be.  According to Curro, NV and other hardware fail this test.

Resolution is pending some khronos bug, perhaps Curro can link to it.
Comment 3 Mark Janes 2017-02-10 16:14:08 UTC
Resolved in piglit:

7780cc56d3fffed59889cb601c7c508b0703958a
Author:     Francisco Jerez <currojerez@riseup.net>
arb_shader_image_load_store/shader-mem-barrier: Add explicit memoryBarrier to volatile subtest.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.